Index Page ekntab_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void ekntab_c ( SpiceInt   * n )
#### Abstract
       Return the number of loaded EK tables.
#### Required_Reading
       EK
#### Keywords
       EK
       FILES
#### Brief_I/O
       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       n          O   Number of loaded tables.
#### Detailed_Input
       None.
#### Detailed_Output
       n              is the number of loaded tables.  The count refers
                      to the number of logical tables; if multiple
                      segments contain data for the same table, these
                      segments collectively contribute only one table
                      to the count.
#### Parameters
       None.
#### Exceptions
       None.
#### Files
       The returned count is based on the currently loaded EK files.
#### Particulars
       This routine is a utility that provides the caller with the
       number of loaded tables.  Callers of ektnam_c can use this count
       as the upper bound on set of table indices when looking up table
       names.
#### Examples
       1)  Suppose we have the following list of EK files and tables
           contained in those files:

              File name        Table name
              ---------        ----------

              FILE_1.EK        TABLE_1
                               TABLE_2

              FILE_2.EK        TABLE_1
                               TABLE_3

              FILE_3.EK        TABLE_2
                               TABLE_3
                               TABLE_4

           Then after loading these files, the call

              ekntab_c ( &n );

           sets n to the value 4.
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       N.J. Bachman   (JPL)
#### Version
       -CSPICE Version 1.0.0, 14-OCT-2001 (NJB)
#### Index_Entries
       return number of loaded tables
#### Link to routine ekntab_c source file ekntab_c.c

    Wed Jun  9 13:05:22 2010